html,
body {
    margin: 0px;
    padding: 0px;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    font-family: Inter Tight, Roboto, Arial, Helvetica, sans-serif;
    user-select: none;
}

body {
    background-color: #2e2e2e;

    /*background: linear-gradient(180deg, #2e2e2e 0%, #3a3a3a 100%);*/
    background: linear-gradient(180deg, #202020 0%, #2e2e2e 100%);
    /*background-image:url(wood_bg.jpeg);*/
    
    background-size: 376px auto;
}

#bg {
    position: absolute;
    top:0px; left: 0px; right:0px; bottom: 0px;
}

.titlebar {
    position: absolute;
    left: 0px;
    top: 0px;
    right: 0px;
    height: 40px;
    border: 1px black solid;
    background-color: rgba(0, 0, 0, 0.3);
    border-bottom:1px rgba(255,255,255, 0.1) solid;
}

.titlebar .title {
    position: absolute;
    letter-spacing: 4px;
    top:12px;
    font-size:14px;
    left:50%;
    margin-left:-100px;
    width:200px;
    text-align: center;
    font-family: Inter;
    color:white;
    text-transform: uppercase;

}

#menu_icon, #menu_icon_right, #refresh_icon {
    position:absolute;
    top:8px;
    color:white;
    font-size:24px;
    font-weight: 300;
    text-shadow: 0px 1px 1px rgba(0,0,0, 0.5);
}

#menu_icon {
    left:10px;
    text-align: left;
}

#refresh_icon, #menu_icon_right {
    right:10px;
    text-align: right;
}

.titlebar .icon {
    position:absolute;
    top:4px;
    right:10px;
    color:white;
    font-size:22px;
}

.section {
    margin: 10px 10px 30px 10px;
}

.section .header {
    font-family: Inter;
    letter-spacing: 6px;
    font-size: 10px;
    font-weight: 700;
    font-family: Inter Tight;
    font-size:12px;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.4);
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 1);
    margin: 2px 0px 5px 7px;
    text-transform: uppercase;
}

.quick_icon {
    position:absolute;
    color:white;
    font-size:24px;
    text-align:center;
    left:50%;
    top:10px;
    margin-left:-24px;
    width:48px; height:48px;
    color: rgba(255, 255, 255, 0.8);
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 1);
    transition: color 0.4s linear, text-shadow 0.4s linear;
}

.section#quick {
    margin-top: 60px;
    height: 90px;
}

.section#rooms {
    height: 100px;
}

.btn_background {
    position: absolute;
    left: 10px;
    right: 10px;
    margin: 0px;

    border-radius: 5px;
    background: linear-gradient(180deg, rgba(30, 30, 30, 1) 0%, rgba(30, 30, 30, 0) 70%);
    /*background-color:rgba(0,0,0, 0.25);*/
    
    border-bottom:1px rgba(255,255,255,0.1) solid;
    box-shadow: inset 0px 3px 5px rgba(0, 0, 0, 0.5);
    list-style: none;
    padding: 3px;
    padding-top: 5px;
    padding-bottom:5px;
}

.button {
    margin: 5px 4px;
    float: left;
    width: 50px;
    height: 30px;
    border-radius: 5px;
    background: linear-gradient(180deg, #343434 0%, #303030 100%);
    box-shadow: 0px 2px 5px rgba(21, 18, 18, 0.5), 0px -1px 0px rgba(255, 255, 255, 0.33);
    text-align: center;
    list-style: none;
}



#quick .button,
#control .button {
    position: relative;
    width: 61px;
    height: 60px;
}

#control .button {
    width: 79px;
    height: 30px;
    /*margin-top: 0px;*/

}

.button.on {
    /*
    background: none;
    background-color: green;
    box-shadow: 0px 0px 12px rgb(0, 210, 0), inset 0px 1px 5px rgba(128, 255, 128, 0.6);
    transition: background-color 0.01s linear;
    */

}

.button .label {
    font-size: 9px;
    font-family: Inter;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.8);
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 1);
    margin-top: 10px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    max-width: 40px;
    transition: color 0.4s linear, text-shadow 0.4s linear;
}

.button.disabled .label {
    color: rgba(255, 255, 255, 0.3);
    text-shadow: 0px -2px 2px rgba(0, 0, 0, 1);
}

.button.quick .label {
    margin-top: 43px;
    font-size: 10px;
    max-width: 100%;
}

#control .button .label {
    text-transform: uppercase;
    max-width: 100%;
    font-size: 10px;
    margin-top: 9px;
}

.button.on .label {
    color: black;
    color: rgb(0, 210, 0);
    font-weight: 700;
    text-shadow: 0px 0px 8px rgb(0, 210, 0);
}

.knob_background {
    position: absolute;
    bottom: 20px;
    left: 50%;
    margin-left: -153px;
    height: 306px;
    width: 306px;
    border-radius: 153px;
    background: linear-gradient(180deg, rgba(39, 39, 39, 1) 0%, rgba(39, 39, 39, 0) 70%);
    box-shadow: inset 0px 2px 5px rgba(0, 0, 0, 0.5);
    border-bottom:1px rgba(255,255,255,0.1) solid;
}

.knob {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -140px;
    margin-left: -140px;
    width: 280px;
    height: 280px;
    border-radius: 140px;
    background: linear-gradient(180deg, #353535 0%, #303030 100%);
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.5), 0px -1px 1px rgba(255, 255, 255, 0.5);
}

.knob_inner, .knob_glow {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -75px;
    margin-left: -75px;
    height: 150px;
    width: 150px;
    border-radius: 75px;
}

.knob_inner {
    background: linear-gradient(180deg, rgba(30, 30, 30, 1) 0%, rgba(30, 30, 30, 0) 100%);
    background-size: 376px auto;
    box-shadow: inset 0px 2px 5px rgba(0, 0, 0, 0.5), 0px 1px 0px rgba(255, 255, 255, 0.2);
}

#knob_content,
#knob_touch,
#knob_outer {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -140px;
    margin-left: -140px;
    width: 280px;
    height: 280px;
    border-radius: 140px;
}

#knob_outer {
    border:1px transparent solid;
    border-top:1px transparent solid;
    border-left:1px transparent solid;
    border-right:1px transparent solid;
    pointer-events: none;
}



.dash {
    width: 130px;
    position: absolute;
    left: 50%;
    top: 50%;
    height: 2px;
    transform-origin: 0px 0px;

}

.dash .line {
    position: absolute;
    top: -4px;
    right: 5px;
    border-radius: 2px;
    background-color: rgba(30, 30, 30, 0.2);

    width: 32px;
    height: 8px;
}

.knob_values {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    pointer-events: none;
}

.dot {
    position: absolute;
    width: 6px;
    height: 6px;
    top: 50%;
    left: 50%;
    margin-left: -3px;
    margin-top: -3px;
    border-radius: 3px;
    
    box-shadow: 0px 1px 0px rgba(255, 255, 255, 0.1), inset 0px 1px 1px rgba(0, 0, 0, 0.5);

    transition: background-color 0.2s linear;
}

.dot.on {
    /*background-color: green;
    box-shadow: 0px 0px 12px rgb(0, 210, 0), inset 0px 1px 5px rgba(128, 255, 128, 0.6);*/
    transition: background-color 0.01s linear;
}

#display {
    position: absolute;
    top: 70px;
    left: 50%;
    width: 120px;

    margin-left: -60px;
    font-size: 12px;
    font-family: Inter Tight;
    font-weight: 700;
    text-transform: uppercase;

    color: rgb(0, 210, 0);
    text-shadow: 0px 0px 12px rgb(0, 210, 0);

    text-align: center;
}

#menu_cover {
    position: absolute;
    top:0px; left:0px; right:0px; bottom:0px;
    background-color: rgba(0,0,0, 0.3);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s linear;
}

#menu_cover.open {
    pointer-events: all;
    opacity: 1;
}

#menu {
    position: absolute;
    top:0px;
    left:0px;
    bottom:0px;
    background: linear-gradient(180deg, #202020eb 0%, #2e2e2eeb 100%);
    border-right: 1px rgba(0,0,0, 1) solid;
    width:180px;
    transform: translate3d(-180px, 0px, 0px);
    opacity: 0;
    transition: transform 0.3s ease-in, opacity 0.3s ease-in;
    box-shadow: 2px 0px 15px rgba(0,0,0, 0.4);
}

#menu.open {
    transform: translate3d(0px, 0px, 0px);
    opacity: 1;
}

#menu .menu_list {
    margin-top: 70px;
    font-size:12px;
    list-style: none;
    color:white;

}

#menu .menu_list li {
    margin-top:15px;
}


